// Code generated by mockery v2.9.4. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	auth "gitlab.com/gitlab-org/incubation-engineering/apm/apm/internal/auth"
)

// GitLabAPI is an autogenerated mock type for the GitLabAPI type
type GitLabAPI struct {
	mock.Mock
}

// GetEnvironments provides a mock function with given fields: apiKey, projectID
func (_m *GitLabAPI) GetEnvironments(apiKey string, projectID string) ([]auth.ProjectEnvironment, error) {
	ret := _m.Called(apiKey, projectID)

	var r0 []auth.ProjectEnvironment
	if rf, ok := ret.Get(0).(func(string, string) []auth.ProjectEnvironment); ok {
		r0 = rf(apiKey, projectID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]auth.ProjectEnvironment)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(apiKey, projectID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetProject provides a mock function with given fields: apiKey, projectID
func (_m *GitLabAPI) GetProject(apiKey string, projectID string) (*auth.Project, error) {
	ret := _m.Called(apiKey, projectID)

	var r0 *auth.Project
	if rf, ok := ret.Get(0).(func(string, string) *auth.Project); ok {
		r0 = rf(apiKey, projectID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*auth.Project)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(apiKey, projectID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Validate provides a mock function with given fields: apiKey
func (_m *GitLabAPI) Validate(apiKey string) error {
	ret := _m.Called(apiKey)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(apiKey)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
